function [x,y] = imagexy(phi, theta)
% [X,Y] = IMAGEXY(PHI,THETA) returns the "probe image" x and y coordinates corresponding to the phi and theta according to:
% phi=180   => x=0
% phi=-180  => x=xmax
% theta=+90 => y=0
% theta=-90 => y=ymax
%
% Initial version: Magnus Billvik, Swedish Institute of Space Physics,
%Uppsala, June 2005

xmax=2478;
ymax=1955;

x=round(xmax/2-phi*(xmax/360));
y=round(ymax/2-theta*(ymax/180));
